<?php

namespace App\Http\Requests;

use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

class RegisterRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'first_name'    => 'required',
            'last_name'     => 'required',
            'address'       => '',
            'postal_code'   => '',
            'email'         => 'email',
            'phone_number'  => 'required|unique:users',
            'password'      => 'required',
            'c_password'    => 'required|same:password',
        ];
    }

    public function messages()
    {
        return [
            'phone_number.unique'       => 'این شماره قبلا ثبت شده است',
            'phone_number.required'     => 'شماره همراه ضروری است',
            'first_name.required'       => 'نام ضروری است',
            'email.email'               => 'ایمیل را به درستی وارد کنید',
            'password.required'         => 'رمز عبور را وارد کنید',
            'c_password.same:password'  => 'تایید رمز عبور را وارد کنید',
            'c_password.required'       => 'تایید رمز عبور را وارد کنید',
        ];
    }
}
