<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ValidateOTPRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'phone_number'  => 'required|unique:users|min:11',
            'otp_code'      => 'required|digits:6'
        ];
    }

    public function messages()
    {
        return [
            'phone_number.unique'   => 'این شماره قبلا ثبت شده است',
            'phone_number.required' => 'شماره همراه ضروری است',
            'phone_number.min'      => 'شماره همراه را به درستی وارد کنید',
            'otp_code.required'     => 'کد اعتبار سنجی را وارد کنید',
            'otp_code.digits'       => 'کد اعتبار سنجی باید ۶ رقم باشد',
        ];
    }
}
