<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class AnswerResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {

        return [
            'id' => $this->resource->id,
            'answer' => $this->resource->answer,
            'image_url' => Storage::url($this->resource->image_path),
            'likes_count' => $this->whenLoaded('likes_count'),
            'dislikes_count' => $this->whenLoaded('dislikes_count'),
            'rating' => $this->resource->rating,
            'action' => $this->resource->action,
            'posted_at' => $this->whenLoaded('posted_at'),
            'who_posted' => $this->whenLoaded('who_posted'),
            'comments' => CommentResource::collection($this->whenLoaded('comments')),
        ];
    }
}
