<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class QuestionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $data = [
            'id' => $this->resource->id,
            'question_type' => $this->resource->question_type,
            'question' => $this->resource->question,
            'image_url' => Storage::url($this->resource->image_path),
        ];

        if(is_null($this->resource->answer)){
            $data['answer'] = null;
        } else {
            $data['answer'] = json_decode($this->resource->answer);
        }

        return $data;
    }
}
