<?php

namespace App\Models;

use Illuminate\Contracts\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Question extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'question_type',
        'item_id ',
        'package_id  ',
        'question ',
        'answer ',
        'item_path ',
    ];

    public function scopeLatest(Builder $builder)
    {
        return $builder->orderBy(static::CREATED_AT, 'desc');
    }

    public function answers()
    {
        return $this->hasMany(Answer::class)->where('confirm', true);
    }

    public function package()
    {
        return $this->belongsTo(QuestionPackage::class);
    }
}
