<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('items', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string('title');
            $table->text('description')->nullable();
            $table->string('cover_path')->default('covers/MVknX98otKoVIsis0WOmNWy8X49Yrh5gDITntlKR.jpg');
            $table->string('video_path')->default('videos/YaPcpJMumKg2vytTpCHc0vkJIOV33fGhnSzPwS9M.mp4');
            $table->string('image_path')->default('images/MVknX98otKoVIsis0WOmNWy8X49Yrh5gDITntlKR.jpg');
            $table->string('preview_path')->default('previews/JU4iLsf9PNJ7YG5g8u0bmpacEj6VkTRhse8DFQRP.mp4');
            $table->string('teaser_path')->default('teasers/i3tOx7J5swKKUEcAZib4KJK8uRmKC2VBxF8A1tGd.mp4');
            // $table->string('voice')->default('persion');
            // $table->string('subtitle')->default('');
            $table->unsignedBigInteger('item_id')->nullable();
            $table->foreign('item_id')->references('id')->on('items');
            // $table->boolean('confirm')->default('1');
            // $table->boolean('selected_for_slider')->default(0);
            $table->enum('item_type', ['film', 'serial'])->nullable();
            $table->unsignedSmallInteger('section')->nullable();
            $table->unsignedTinyInteger('season')->nullable();
            $table->unsignedInteger('length')->default(52);
            $table->unsignedInteger('production_year')->default(2015);
            // $table->string('country')->nullable();
            $table->float('imdb_rating')->default(4.3);
            $table->string('publish_status')->default('هر روز ساعت ۱۴');
            $table->unsignedBigInteger('slider_id')->nullable();
            $table->foreign('slider_id')->references('id')->on('sliders');
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('items');
    }
};
